SymmetricCipherDocumentation Struct Reference

Provides Encryption and Decryption typedefs used by derived classes to implement a symmetric cipher. More...

`#include <seckey.h>`

Inheritance diagram for SymmetricCipherDocumentation:

## Public Types

typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

Provides Encryption and Decryption typedefs used by derived classes to implement a symmetric cipher.

Each class derived from this one defines two types, Encryption and Decryption, both of which implement the SymmetricCipher interface. Two types of classes derive from this class: stream ciphers and block cipher modes. Stream ciphers can be used alone, cipher mode classes need to be used with a block cipher. See CipherModeDocumentation for more for information about using cipher modes and block ciphers.

Definition at line 413 of file seckey.h.

## Member Typedef Documentation

## Encryption

typedef SymmetricCipher SymmetricCipherDocumentation::Encryption

implements the SymmetricCipher interface

Definition at line 416 of file seckey.h.

## Decryption

typedef SymmetricCipher SymmetricCipherDocumentation::Decryption

implements the SymmetricCipher interface

Definition at line 418 of file seckey.h.

The documentation for this struct was generated from the following file:

- seckey.h